Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.im.controls.discounts
Interface DiscountManagerControl

    @ControlInterface
    public interface DiscountManagerControl

A custom Java Control used to manage user discounts.

Method Summary
`com.bea.p13n.management.data.repository.DataItem` | `getDiscount(String name, ResourceContext context)` Return the `DataItem` for the given name.
`SortableFilterablePagedResult<String>` | `getDiscountNames(int pageSize, ResourceContext context)` Returns a `PagedResult` of `String`s representing the names of all the user discounts within the system, in arbitrary order.
`SortableFilterablePagedResult<com.bea.p13n.management.data.repository.DataItem>` | `getDiscounts(int pageSize, ResourceContext context)` Returns a `PagedResult` of all the `DataItem` objects within the system representing user discounts, in arbitrary order.

Method Detail

### getDiscounts

    SortableFilterablePagedResult<com.bea.p13n.management.data.repository.DataItem> getDiscounts(int pageSize,
                                                                                                 ResourceContext context)
                                                                                                 throws com.bea.p13n.management.data.repository.PersistenceException

  Returns a `PagedResult` of all the `DataItem` objects within the system representing user discounts, in arbitrary order. Returns an empty list if no user discounts are defined.

  Parameters
    `pageSize` - the int page size for the `PagedResult`
    `context` - the resource context
  Returns
    a `PagedResult` of `RuleModel` objects
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for the model data
  See Also
    `PagedResult`, `RuleModel`

### getDiscountNames

    SortableFilterablePagedResult<String> getDiscountNames(int pageSize,
                                                           ResourceContext context)
                                                           throws com.bea.p13n.management.data.repository.PersistenceException

  Returns a `PagedResult` of `String`s representing the names of all the user discounts within the system, in arbitrary order. Returns an empty list if no user discounts are defined.

  Parameters
    `pageSize` - the int page size for the `PagedResult`
    `context` - the resource context
  Returns
    a `PagedResult` of `RuleModel` objects
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for the model data
  See Also
    `PagedResult`

### getDiscount

    com.bea.p13n.management.data.repository.DataItem getDiscount(String name,
                                                                 ResourceContext context)
                                                                 throws com.bea.p13n.management.data.repository.PersistenceException

  Return the `DataItem` for the given name.

  Parameters
    `name` -
    `context` - the resource context
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.